# Generated from cryptouri-0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cryptouri

Name: rubygem-%{gem_name}
Version: 0.0.0
Release: 1%{?dist}
Summary: URI-based format for encoding cryptographic objects with Bech32 encoding/checksums
License: Apache 2.0
URL: https://github.com/cryptouri/cryptouri-rb/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 2.4
BuildRequires: ruby >= 2.3
BuildArch: noarch

%description
CryptoURI is a URN-like namespace for encoding various cryptographic
objects,
including keys, signatures, and fingerprints/digests. It leverages the bech32
serialization format to provide a human-friendly encoding and checksums.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cryptouri.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.0-1
- Initial package
